﻿@model Infrastructure.ViewModels.Dashboard.DimensionListViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@using Infrastructure.ViewModels.Dashboard
@addTagHelper *, AEWeb
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Dashboard";
    Layout = "_DashboardLayout";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Model.TotalNumberKpis KPIs available for your dashboards</h2>
        <small>@Localizer["PageDescription"]</small>
        <br /><br />
        @if (Model.Type == KPIClassLibrary.KPI.KPIType.Strategic)
        {
            <button class="btn btn-lg btn-success dim">Strategic</button>
        }
        else
        {
            <a asp-action="Index" asp-route-type="Strategic" class="btn btn-lg btn-default dim">Strategic</a>
        }
        &nbsp;
        @if (Model.Type == KPIClassLibrary.KPI.KPIType.Operational)
        {
            <button class="btn btn-lg btn-success dim">Operational</button>
        }
        else
        {
            <a asp-action="Index" asp-route-type="Operational" class="btn btn-lg btn-default dim">Operational</a>
        }
        &nbsp;
        @if (Model.Type == KPIClassLibrary.KPI.KPIType.Tactical)
        {
            <button class="btn btn-lg btn-success dim">Tactical</button>
        }
        else
        {
            <a asp-action="Index" asp-route-type="Tactical" class="btn btn-lg btn-default dim">Tactical</a>
        }
    </div>
</div>
<div class="row m-t-lg">
    <div class="col-lg-12">
        <div class="tabs-container">

            <div class="tabs-left">
                <ul class="nav nav-tabs">
                    @{
                        var idDimension = 1;
                        var activePane = "active";
                    }
                    @foreach (DimensionViewModel dim in Model.Dimensions)
                    {
                        <li><a class="nav-link @activePane" data-toggle="tab" href="#tab-@idDimension"> @dim.Name (@dim.NumberOfKpis)</a></li>

                        idDimension = idDimension + 1;
                        activePane = "";
                    }
                </ul>
                <div class="tab-content ">
                    @{
                        idDimension = 1;
                        activePane = "active";
                    }
                    @foreach (DimensionViewModel dim in Model.Dimensions)
                    {
                        <div id="tab-@idDimension" class="tab-pane @activePane">
                            <div class="panel-body">
                                <vc:dimension dimension="@dim.Name" type="@Model.Type.ToString()"></vc:dimension>
                            </div>
                        </div>

                        idDimension = idDimension + 1;
                        activePane = "";
                    }
                </div>
            </div>
        </div>
    </div>
</div>
@section Scripts {
    <script src="js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <script>

        $(document).ready(function () {

            // Add slimscroll to element
            $('.scroll_content').slimscroll({
                height: '300px'
            })

        });

    </script>
}